summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2015-08-11 13:35:34 +0200
committerMichael Weber <xmw@gentoo.org>2015-08-11 16:15:10 +0200
commit4517c76541ec2177f097796c8f6c4fa765f2ebaf (patch)
treedc6edaaa5c43552d6c3b3c7a96a6b46689a58a0b /www-client/netsurf
parentfsharp bump (diff)
downloadgentoo-4517c76541ec2177f097796c8f6c4fa765f2ebaf.tar.gz
gentoo-4517c76541ec2177f097796c8f6c4fa765f2ebaf.tar.bz2
gentoo-4517c76541ec2177f097796c8f6c4fa765f2ebaf.zip
www-client/netsurf: Drop -DG_DISABLE_DEPRECATED (bug 555696, thanks Oschtan). Updating x86_32 deps and REQUIRED_USE.
Package-Manager: portage-2.2.20
Diffstat (limited to 'www-client/netsurf')
-rw-r--r--www-client/netsurf/netsurf-3.2-r1.ebuild18
-rw-r--r--www-client/netsurf/netsurf-3.3-r1.ebuild3
2 files changed, 13 insertions, 8 deletions
diff --git a/www-client/netsurf/netsurf-3.2-r1.ebuild b/www-client/netsurf/netsurf-3.2-r1.ebuild
index 33d20f95bf5..b1789f8d272 100644
--- a/www-client/netsurf/netsurf-3.2-r1.ebuild
+++ b/www-client/netsurf/netsurf-3.2-r1.ebuild
@@ -22,13 +22,12 @@ IUSE="+bmp fbcon truetype +gif gstreamer gtk javascript +jpeg +mng pdf-writer
fbcon_frontend_sdl fbcon_frontend_vnc fbcon_frontend_x"
REQUIRED_USE="|| ( fbcon gtk )
- amd64? ( abi_x86_32? (
- !gstreamer !javascript !pdf-writer svg? ( svgtiny ) !truetype ) )
+ amd64? ( abi_x86_32? ( !javascript ) )
fbcon? ( ^^ ( fbcon_frontend_able fbcon_frontend_linux fbcon_frontend_sdl
fbcon_frontend_vnc fbcon_frontend_x ) )"
-RDEPEND="dev-libs/libxml2
- net-misc/curl
+RDEPEND="dev-libs/libxml2:2[${MULTILIB_USEDEP}]
+ net-misc/curl[${MULTILIB_USEDEP}]
>=dev-libs/libcss-0.4.0[${MULTILIB_USEDEP}]
>=net-libs/libhubbub-0.3.0-r1[${MULTILIB_USEDEP}]
bmp? ( >=media-libs/libnsbmp-0.1.1[${MULTILIB_USEDEP}] )
@@ -38,17 +37,17 @@ RDEPEND="dev-libs/libxml2
)
gif? ( >=media-libs/libnsgif-0.1.1[${MULTILIB_USEDEP}] )
gtk? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
- gnome-base/libglade:2.0
+ gnome-base/libglade:2.0[${MULTILIB_USEDEP}]
>=x11-libs/gtk+-2.24.23:2[${MULTILIB_USEDEP}] )
- gstreamer? ( media-libs/gstreamer:0.10 )
+ gstreamer? ( media-libs/gstreamer:0.10[${MULTILIB_USEDEP}] )
javascript? ( >=dev-libs/nsgenbind-0.1.1[${MULTILIB_USEDEP}]
dev-lang/spidermonkey:0= )
jpeg? ( >=virtual/jpeg-0-r2:0[${MULTILIB_USEDEP}] )
mng? ( >=media-libs/libmng-1.0.10-r2[${MULTILIB_USEDEP}] )
- pdf-writer? ( media-libs/libharu )
+ pdf-writer? ( media-libs/libharu[${MULTILIB_USEDEP}] )
png? ( >=media-libs/libpng-1.2.51:0[${MULTILIB_USEDEP}] )
svg? ( svgtiny? ( >=media-libs/libsvgtiny-0.1.2[${MULTILIB_USEDEP}] )
- !svgtiny? ( gnome-base/librsvg:2 ) )
+ !svgtiny? ( gnome-base/librsvg:2[${MULTILIB_USEDEP}] ) )
webp? ( >=media-libs/libwebp-0.3.0[${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}
rosprite? ( >=media-libs/librosprite-0.1.1[${MULTILIB_USEDEP}] )"
@@ -65,6 +64,9 @@ src_prepare() {
mv "${WORKDIR}"/netsurf-fb.modes-example fb.modes
+ sed -e 's:-DG_DISABLE_DEPRECATED::' \
+ -i gtk/Makefile.target || die
+
netsurf_src_prepare
}
diff --git a/www-client/netsurf/netsurf-3.3-r1.ebuild b/www-client/netsurf/netsurf-3.3-r1.ebuild
index 8e7d6a692c4..b10a0962831 100644
--- a/www-client/netsurf/netsurf-3.3-r1.ebuild
+++ b/www-client/netsurf/netsurf-3.3-r1.ebuild
@@ -66,6 +66,9 @@ src_prepare() {
mv "${WORKDIR}"/netsurf-fb.modes-example fb.modes
+ sed -e 's:-DG_DISABLE_DEPRECATED::' \
+ -i gtk/Makefile.target || die
+
netsurf_src_prepare
}